FWG Internal - Feature #23817

FWG: Staging: Web app: Need to add the Select, Unselect & Scroll bar feature in Column dropdowns.
February 18, 2025 12:02 PM - Palash Tembhurnekar

Status: Closed Start date: February 18, 2025
Priority: Normal Due date:

Assignee: Dinesh Pedagada % Done: 0%

Category: Estimated time: 0:00 hour

Target version: Spent time: 0:00 hour
Description

In Entire web app where ever there's Columns dropdown is displaying In those columns dropdown user should be able to select &
unselect the columns also there should be scroll bar inside those dropdowns. So need to add the Select, Un-Select & Scroll bar
features in Column dropdowns.

Please check below pages:

1. Transaction log

2. Log Feeder

3. Special Combo Transaction log
4. Ind Ref Control

5. Float

6. Buy Sell Prompt

7. Industry Macro Data

8. Balance sheet break down

History

#1 - February 19, 2025 11:56 AM - Dinesh Pedagada

- Status changed from New to In Progress

#2 - February 20, 2025 03:58 AM - Dinesh Pedagada

- Status changed from In Progress to Resolved

#3 - February 20, 2025 07:07 AM - Palash Tembhurnekar

Verified on staging web app, Now on the above screen in its Column Dropdowns the Select, Unselect & Scroll bar feature is added but facing below
issue.
issue: Select All is not working this process:

1. Open the Column

2. Now by Default it displays all the columns as selected so here Deselect any one column

3. After De-selecting one column click on the Select All option.

4. Here after clicking on the Select All Column button that De-selected column does not get selected. Here it should get selected since we are
clicking the Select All option.
(Filed Separate bug for this: https:/dev.atulsia.com/support/issues/23831)

Also, after Deselecting the columns, it's displaying one column. So here after deselecting the columns it should not display any column
Instead of that we can display a message like "No records found."

- Reopening bug

#4 - February 20, 2025 07:07 AM - Palash Tembhurnekar

- Status changed from Resolved to Closed

#5 - February 20, 2025 07:14 AM - Palash Tembhurnekar

- Status changed from Closed to New

#6 - February 24, 2025 04:26 AM - Dinesh Pedagada

- Status changed from New to Resolved

#7 - February 25, 2025 04:39 AM - Palash Tembhurnekar

March 31, 2025 1/2



https://dev.atulsia.com/support/issues/23831

Verified on staging web app also discussed with Dinesh Pedagada now if its displaying 1 columns after Deselecting columns then its fine. Marking
this bug as closed

#8 - February 25, 2025 04:39 AM - Palash Tembhurnekar

- Status changed from Resolved to Closed
